package com.helper;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class StopWordsHelper {

	static String stopWordsFilename = "G:\\SJSU course\\fall 14\\CS 297\\bagOfWords\\att2\\stopwords.txt";
	static List<String> stopwords;
	

	public static void getStopWords()
	{
		BufferedReader br;
		stopwords = new ArrayList<String>();
		
		try {
			br = new BufferedReader(new FileReader(new File(stopWordsFilename)));
			String line;
			while ((line = br.readLine()) != null) {
				stopwords.add(line.trim());
			}
			}catch(Exception e)
			{
				System.out.println("list size :"+stopwords.size());
				e.printStackTrace();
			}
	}
	
	public static String[] removeStopWords(String[] input)
	{
		ArrayList<String> inputList = new ArrayList<String>(); 
		getStopWords();
		
		for (int i=0;i<input.length;i++)
		{
			String temp=input[i].toLowerCase();
			if(!stopwords.contains(temp))
			{
				inputList.add(temp);
			}
		}
		String[] inputarray = inputList.toArray(new String[inputList.size()]);
		return inputarray;
	}
	
}
